Bug 92358 - (NET DECNET)Configuration of DECnet module conflicts with ifconfig
(NET DECNET)Configuration of DECnet module conflicts with ifconfig
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-05 09:16 EDT by Steven Whitehouse
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Whitehouse 2003-06-05 09:16:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020516

Description of problem:
In both Rh 8.0 and Rh 9.0 the kernel config has all options turned
on for the decnet module. The problem is that the support for the
SIOCGIFCONF system call for DECnet results in structures being
returned (quite correctly) which are larger than the size of a
struct sockaddr. This means that unless you alter all the users
of that system call, they break. Normally this just means ifconfig
reports rubbish when decnet.o is loaded or just breaks.

I suggest that to avoid auditing all the possible users of this
call, its best not to enable support for it. I would recommend
that for the time being, the best way to configure DECnet for a
stable distribution is just to enable the basic endnode support and
turn off everything else.

If you have any questions about DECnet support, please drop
me a line. Although I didn't see anything in bugzilla about this
issue (hence why I'm reporting it) I know several people have come
across it from the reports on the linux-decnet-user list which I've
been getting.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.insert decnet.o module
2.run ifconfig when there is at least one net device recognised by decnet
3.
    

Additional info:
Comment 1 Alan Cox 2003-06-05 09:57:47 EDT
Agree we should turn off the ifconfig effecting opton for the next RH
Comment 2 Bugzilla owner 2004-09-30 11:41:03 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.